﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.WinControls;
using Telerik.WinControls.UI;
using Telerik.WinControls.Layouts;

namespace RadGridViewBoxes
{
    public class CustomDropDownEditorElement : StackLayoutElement
    {
        RadDropDownListElement _firstDropDown = new RadDropDownListElement();
        RadDropDownListElement _secondDropDown = new RadDropDownListElement();
        RadDropDownListElement _thirdDropDown = new RadDropDownListElement();

        public CustomDropDownEditorElement()
        {
            this.StretchHorizontally = true;
            this.StretchVertically = true;
            this.Children.Add(_firstDropDown);
            this.Children.Add(_secondDropDown);
            this.Children.Add(_thirdDropDown);
        }

        public RadDropDownListElement FirstDropDown
        {
            get
            {
                return this._firstDropDown;
            }
        }

        public RadDropDownListElement SecondDropDown
        {
            get
            {
                return this._secondDropDown;
            }
        }

        public RadDropDownListElement ThirdDropDown
        {
            get
            {
                return this._thirdDropDown;
            }
        }
    }
}
